# Generated by Django 2.2.3 on 2019-09-05 11:35

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('models', '0012_historicalpayment_payment'),
    ]

    operations = [
        migrations.CreateModel(
            name='SystemSpeeds',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('tidsis', models.PositiveSmallIntegerField(validators=[django.core.validators.MaxValueValidator(4096)])),
                ('name', models.CharField(blank=True, max_length=100, null=True)),
                ('cir', models.CharField(max_length=8)),
                ('cbs', models.CharField(max_length=8)),
                ('pir', models.CharField(max_length=8)),
                ('pbs', models.CharField(max_length=8)),
                ('pri', models.CharField(max_length=8)),
            ],
            options={
                'ordering': ['tidsis'],
            },
        ),
        migrations.AddField(
            model_name='historicalplan',
            name='aggregation_rate',
            field=models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(4096)]),
        ),
        migrations.AddField(
            model_name='historicalplan',
            name='download_speed',
            field=models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(4096)]),
        ),
        migrations.AddField(
            model_name='historicalplan',
            name='upload_speed',
            field=models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(4096)]),
        ),
        migrations.AddField(
            model_name='plan',
            name='aggregation_rate',
            field=models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(4096)]),
        ),
        migrations.AddField(
            model_name='plan',
            name='download_speed',
            field=models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(4096)]),
        ),
        migrations.AddField(
            model_name='plan',
            name='upload_speed',
            field=models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(4096)]),
        ),
        migrations.AlterField(
            model_name='historicalplan',
            name='price',
            field=models.DecimalField(blank=True, decimal_places=2, max_digits=12, null=True),
        ),
        migrations.AlterField(
            model_name='plan',
            name='price',
            field=models.DecimalField(blank=True, decimal_places=2, max_digits=12, null=True),
        ),
        migrations.CreateModel(
            name='HistoricalSystemSpeeds',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('tidsis', models.PositiveSmallIntegerField(validators=[django.core.validators.MaxValueValidator(4096)])),
                ('name', models.CharField(blank=True, max_length=100, null=True)),
                ('cir', models.CharField(max_length=8)),
                ('cbs', models.CharField(max_length=8)),
                ('pir', models.CharField(max_length=8)),
                ('pbs', models.CharField(max_length=8)),
                ('pri', models.CharField(max_length=8)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical system speeds',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.AddField(
            model_name='historicalplan',
            name='speeds_system_download',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='models.SystemSpeeds'),
        ),
        migrations.AddField(
            model_name='historicalplan',
            name='speeds_system_upload',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='models.SystemSpeeds'),
        ),
        migrations.AddField(
            model_name='plan',
            name='speeds_system_download',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='speeds_system_plan_download', to='models.SystemSpeeds'),
        ),
        migrations.AddField(
            model_name='plan',
            name='speeds_system_upload',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='speeds_system_plan_updoad', to='models.SystemSpeeds'),
        ),
    ]
